var globalData = require('../../util/globalData.js');
var commonUtil = require('../../util/commonUtil.js');

var pageData = {},
  type = [
    'view', 'content', 'form', 'interact', 'nav', 'media', 'map', 'canvas'
  ];

pageData.widgetsToggle = function (e) {
  var id = e.currentTarget.id, data = {};
  for (var i = 0, len = type.length; i < len; ++i) {
    data[type[i] + 'Show'] = false;
  }
  data[id + 'Show'] = !this.data[id + 'Show'];
  this.setData(data);
};

/**
 * 扫码上传简历
 */
pageData.scanToggle = function (e) {
  var id = e.currentTarget.id, data = {};
  for (var i = 0, len = type.length; i < len; ++i) {
    data[type[i] + 'Show'] = false;
  }
  data[id + 'Show'] = !this.data[id + 'Show'];
  this.setData(data);
};

/**
 * 创建一份简历
 */
pageData.mkdirToggle = function (e) {
  var syncFlg = false;
  try {
    // 同步接口立即返回值
    var resumeData = globalData.getGlobalData('base');
    console.log(resumeData);

    console.log(!commonUtil.isEmptyObject(resumeData));

    if (!commonUtil.isEmptyObject(resumeData)) {
      syncFlg = true;
    }
  } catch (e) {
    console.log('读取key2发生错误');
    syncFlg = false;
  }
  var url = '/page/resume/resume?op=base';
  if (syncFlg) {
    url = '/page/resumeOnline/resumeOnline';
  }
  wx.navigateTo({ url: url });
};


Page(pageData);