var globalData = require('../../util/globalData.js');
var commonUtil = require('../../util/commonUtil.js');

var weeksArray = [];
//查询内容工具类型
//查询内容工具类型
Page({
  data: {
     sch_listData: [],
    dateArray: [],
  },
  //初始化
  onLoad: function (option) {
    var scheduleList = [
      {
        "scheduleId": "8aaf510c5e3de339015e3de932660000",
        "resourceName": "营销主管",
        "dayOfWeek": "1",
        "timePeriod": "A",
        "docName": "张三（已评价）",
        "doctorId": "8a2256334b021c33014b06124fd60181",
        "ifOpenYuYueService": "0"
      },
      {
        "scheduleId": "8aaf510c60c6700b0160de3031f40598",
        "resourceName": "测试工程师",
        "dayOfWeek": "2",
        "timePeriod": "B",
        "docName": "李四（已评价）",
        "doctorId": "8a2256334c265f88014c26d521fc0103",
        "ifOpenYuYueService": "0"
      },
      {
        "scheduleId": "ff80808162a3453f0162a3f036440000",
        "resourceName": "运维工程师",
        "dayOfWeek": "1",
        "timePeriod": "B",
        "docName": "王五",
        "doctorId": "8aaf510c53f56ee0015432b3ee760e22",
        "ifOpenYuYueService": "0"
      },
      {
        "scheduleId": "ff8080815e36ffb0015e375d3d850006",
        "resourceName": "架构师",
        "dayOfWeek": "1",
        "timePeriod": "B",
        "docName": "李生",
        "doctorId": "8a2256334c265f88014c26d521fc0103",
        "ifOpenYuYueService": "0"
      },
      {
        "scheduleId": "8aaf510c5e0ddfd6015e2d4e85290288",
        "resourceName": "项目管理",
        "dayOfWeek": "3",
        "timePeriod": "C",
        "docName": "霸气（已评价）",
        "doctorId": "8a2256334888ffb301488b90a3fe005f",
        "ifOpenYuYueService": "0"
      },
      {
        "scheduleId": "02f18a9c0a374b4184f35b40a9dde3f0",
        "resourceName": "应用顾问",
        "dayOfWeek": "4",
        "timePeriod": "C",
        "docName": "久久",
        "doctorId": "8a2256334b021c33014b06124fd60181",
        "ifOpenYuYueService": "0"
      },
      {
        "scheduleId": "ff80808160ea422a0160ea4f6fb10001",
        "resourceName": "软件产品经理",
        "dayOfWeek": "5",
        "timePeriod": "C",
        "docName": "试试",
        "doctorId": "8a2256334c265f88014c26d521fc0103",
        "ifOpenYuYueService": "0"
      },
      {
        "scheduleId": "ff80808160e90a3e0160e93c9f6e001e",
        "resourceName": "北京售前经理",
        "dayOfWeek": "6",
        "timePeriod": "A",
        "docName": "十一",
        "doctorId": "8a2256334b021c33014b06124fd60181",
        "ifOpenYuYueService": "0"
      },
      
    ];

    for (var j = 0; j < scheduleList.length; j++) {
      console.log('----' + scheduleList[j].docName);
    }

    var daysArray = getSevenDays();
    var sch_listData = dealData(scheduleList);


    this.setData({
      dateArray: daysArray,
      sch_listData: sch_listData,
    });
    
  },
  //用户点击右上角分享
  onShareAppMessage: function () {
    return {
      title: '投简历',
      desc: '你身边适用工具，简历帮手',
      path: '/pages/component/index'
    }
  },

  clickDoctor: function (e) {
    var $dict = e.currentTarget.dataset;

    var tag = $dict.dayofweek;//岗位 
    var str = '开发中、将跳转到简历预览中';

    wx.showModal({
      title: '提示',
      content: str,
      success: function (res) {
        if (res.confirm) {
          
          var syncFlg = false;
          try {
            // 同步接口立即返回值
            var resumeData = globalData.getGlobalData('base');
            console.log(resumeData);

            console.log(!commonUtil.isEmptyObject(resumeData));

            if (!commonUtil.isEmptyObject(resumeData)) {
              syncFlg = true;
            }
          } catch (e) {
            console.log('读取key2发生错误');
            syncFlg = false;
          }
          var url = '/page/resume/resume?op=base';
          if (syncFlg) {
            url = '/page/resumeOnline/resumeOnline';
          }
          wx.navigateTo({ url: url });

        }
      }
    })
  },

});

var getSevenDays = function () {
  var daysArray = [];
  daysArray.push({ "date_text": "职能", "weekName": "", "weekNum": 1 });
  daysArray.push({ "date_text": "技术", "weekName": "", "weekNum": 2 });
  daysArray.push({ "date_text": "项目管理", "weekName": "", "weekNum": 3});
  daysArray.push({ "date_text": "顾问", "weekName": "", "weekNum": 4 });
  daysArray.push({ "date_text": "产品", "weekName": "", "weekNum": 5 });
  daysArray.push({ "date_text": "销售", "weekName": "", "weekNum": 6 });
  daysArray.push({ "date_text": "HR", "weekName": "", "weekNum": 7});

  weeksArray = daysArray;
  return daysArray;
}

var dealData = function (scheduleInfoList) {
  var tag = weeksArray[0].weekNum;
  console.log('tag:' + tag);
  var ar = [1, 2, 3, 4, 5, 6, 7, 1, 2, 3, 4, 5, 6, 7];
  var A_Mon_text_ar = [];
  var A_Tues_text_ar = [];
  var A_Wed_text_ar = [];
  var A_Thur_text_ar = [];
  var A_Fri_text_ar = [];
  var A_Sat_text_ar = [];
  var A_Sun_text_ar = [];
  var B_Mon_text_ar = [];
  var B_Tues_text_ar = [];
  var B_Wed_text_ar = [];
  var B_Thur_text_ar = [];
  var B_Fri_text_ar = [];
  var B_Sat_text_ar = [];
  var B_Sun_text_ar = [];
  var C_Mon_text_ar = [];
  var C_Tues_text_ar = [];
  var C_Wed_text_ar = [];
  var C_Thur_text_ar = [];
  var C_Fri_text_ar = [];
  var C_Sat_text_ar = [];
  var C_Sun_text_ar = [];

  for (var i = 0; i < scheduleInfoList.length; i++) {
    // console.log(scheduleInfoList[i].scheduleId + "222222");
    if (scheduleInfoList[i].timePeriod == 'A') {
      if (scheduleInfoList[i].dayOfWeek == ar[tag]) {
        A_Mon_text_ar = A_Mon_text_ar.concat(scheduleInfoList[i]);
      } else if (scheduleInfoList[i].dayOfWeek == ar[tag + 1]) {
        A_Tues_text_ar = A_Tues_text_ar.concat(scheduleInfoList[i]);
      } else if (scheduleInfoList[i].dayOfWeek == ar[tag + 2]) {
        A_Wed_text_ar = A_Wed_text_ar.concat(scheduleInfoList[i]);
      } else if (scheduleInfoList[i].dayOfWeek == ar[tag + 3]) {
        A_Thur_text_ar = A_Thur_text_ar.concat(scheduleInfoList[i]);
      } else if (scheduleInfoList[i].dayOfWeek == ar[tag + 4]) {
        A_Fri_text_ar = A_Fri_text_ar.concat(scheduleInfoList[i]);
      } else if (scheduleInfoList[i].dayOfWeek == ar[tag + 5]) {
        A_Sat_text_ar = A_Sat_text_ar.concat(scheduleInfoList[i]);
      } else if (scheduleInfoList[i].dayOfWeek == ar[tag + 6]) {
        A_Sun_text_ar = A_Sun_text_ar.concat(scheduleInfoList[i]);
      }
    }
    else if (scheduleInfoList[i].timePeriod == 'B') {
      if (scheduleInfoList[i].dayOfWeek == ar[tag]) {
        B_Mon_text_ar = B_Mon_text_ar.concat(scheduleInfoList[i]);
      } else if (scheduleInfoList[i].dayOfWeek == ar[tag + 1]) {
        B_Tues_text_ar = B_Tues_text_ar.concat(scheduleInfoList[i]);
      } else if (scheduleInfoList[i].dayOfWeek == ar[tag + 2]) {
        B_Wed_text_ar = B_Wed_text_ar.concat(scheduleInfoList[i]);
      } else if (scheduleInfoList[i].dayOfWeek == ar[tag + 3]) {
        B_Thur_text_ar = B_Thur_text_ar.concat(scheduleInfoList[i]);
      } else if (scheduleInfoList[i].dayOfWeek == ar[tag + 4]) {
        B_Fri_text_ar = B_Fri_text_ar.concat(scheduleInfoList[i]);
      } else if (scheduleInfoList[i].dayOfWeek == ar[tag + 5]) {
        B_Sat_text_ar = B_Sat_text_ar.concat(scheduleInfoList[i]);
      } else if (scheduleInfoList[i].dayOfWeek == ar[tag + 6]) {
        B_Sun_text_ar = B_Sun_text_ar.concat(scheduleInfoList[i]);
      }
    } else {
      if (scheduleInfoList[i].dayOfWeek == ar[tag]) {
        C_Mon_text_ar = C_Mon_text_ar.concat(scheduleInfoList[i]);
      } else if (scheduleInfoList[i].dayOfWeek == ar[tag + 1]) {
        C_Tues_text_ar = C_Tues_text_ar.concat(scheduleInfoList[i]);
      } else if (scheduleInfoList[i].dayOfWeek == ar[tag + 2]) {
        C_Wed_text_ar = C_Wed_text_ar.concat(scheduleInfoList[i]);
      } else if (scheduleInfoList[i].dayOfWeek == ar[tag + 3]) {
        C_Thur_text_ar = C_Thur_text_ar.concat(scheduleInfoList[i]);
      } else if (scheduleInfoList[i].dayOfWeek == ar[tag + 4]) {
        C_Fri_text_ar = C_Fri_text_ar.concat(scheduleInfoList[i]);
      } else if (scheduleInfoList[i].dayOfWeek == ar[tag + 5]) {
        C_Sat_text_ar = C_Sat_text_ar.concat(scheduleInfoList[i]);
      } else if (scheduleInfoList[i].dayOfWeek == ar[tag + 6]) {
        C_Sun_text_ar = C_Sun_text_ar.concat(scheduleInfoList[i]);
      }
    }
  }

  var sch_listData = [{ "time_title": "资源管理部", "Mon_text": A_Mon_text_ar, "Tues_text": A_Tues_text_ar, "Wed_text": A_Wed_text_ar, "Thur_text": A_Thur_text_ar, "Fri_text": A_Fri_text_ar, "Sat_text": A_Sat_text_ar, "Sun_text": A_Sun_text_ar },
    { "time_title": "产品与研发事业部", "Mon_text": B_Mon_text_ar, "Tues_text": B_Tues_text_ar, "Wed_text": B_Wed_text_ar, "Thur_text": B_Thur_text_ar, "Fri_text": B_Fri_text_ar, "Sat_text": B_Sat_text_ar, "Sun_text": B_Sun_text_ar },
    { "time_title": "TeleWork事业部", "Mon_text": C_Mon_text_ar, "Tues_text": C_Tues_text_ar, "Wed_text": C_Wed_text_ar, "Thur_text": C_Thur_text_ar, "Fri_text": C_Fri_text_ar, "Sat_text": C_Sat_text_ar, "Sun_text": C_Sun_text_ar }]

  return sch_listData;
}