/**
 * 计算年龄
 */
function getAge(strBirthday) {
  console.log("--------" + strBirthday);
  if ("" == strBirthday || undefined == strBirthday) {
    return;
  }
  var returnAge;
  var strBirthdayArr = strBirthday.split("-");
  var birthYear = strBirthdayArr[0];
  var birthMonth = strBirthdayArr[1];
  var birthDay = strBirthdayArr[2];

  var d = new Date();
  var nowYear = d.getYear();
  var nowMonth = d.getMonth() + 1;
  var nowDay = d.getDate();

  if (nowYear == birthYear) {
    returnAge = 0; //同年 则为0岁
  } else {
    var ageDiff = nowYear - birthYear; //年之差
    if (ageDiff > 0) {
      if (nowMonth == birthMonth) {
        var dayDiff = nowDay - birthDay; //日之差
        if (dayDiff < 0) {
          returnAge = ageDiff - 1;
        } else {
          returnAge = ageDiff;
        }
      } else {
        var monthDiff = nowMonth - birthMonth; //月之差
        if (monthDiff < 0) {
          returnAge = ageDiff - 1;
        } else {
          returnAge = ageDiff;
        }
      }
    } else {
      returnAge = -1; //返回-1 表示出生日期输入错误 晚于今天
    }
  }
  return returnAge; //返回周岁年龄
}

/**
 * 获得简历数据
 */
function getResumeData(keyName) {
  var globalData = {};
  var returnData = {};
  try {
    //keyName = "base";
    // keyName
    var globalData = wx.getStorageSync(keyName);
    console.log("===============globalData==========");
    console.log(globalData);
    if (globalData != null) {
      if ("base" == keyName) {
        returnData = {
          id: 1,
          opened: true,
          name: '基本信息',
          APIList: []
        };
        if (null != globalData) {
          returnData.APIList.push(
            {
              key: "userName",
              zhName: globalData.userName,
              enName: '姓名',
              url: "/page/resume/resume?op=base"
            });

          //apiList[apiKey].zhName = getAge(globalData.birthday);
          returnData.APIList.push(
            {
              key: "birthday",
              zhName: getAge(globalData.birthday),
              enName: '年龄',
              url: "/page/resume/resume?op=base"
            });


          //apiList[apiKey].zhName = globalData.telNum;
          returnData.APIList.push(
            {
              key: "telNum",
              zhName: globalData.telNum,
              enName: '手机号',
              url: "/page/resume/resume?op=base"
            });
        }
      } else if ("edu" == keyName) {
        returnData = {
          id: 6,
          name: '教育经历',
          opened: true,
          addUrl: "/page/resume/resume?op=edu&id=",
          APIList: []
        };
        if (null != globalData && {} != globalData) {
          for (var t in globalData) {
            returnData.APIList.push({
              zhName: globalData[t].schoolName,
              enName: globalData[t].levelArray || "",
              url: "/page/resume/resume?op=edu&id=" + globalData[t].eduId
            });
          }
        }
      } else if ("company" == keyName) {
        //globalData = resumeData.companyData;

        returnData = {
          id: 2,
          name: '工作经历',
          opened: false,
          addUrl: "/page/resume/resume?op=company&id=",
          APIList: []
        };
        if (null != globalData && {} != globalData) {
          for (var t in globalData) {
            returnData.APIList.push({
              zhName: globalData[t].schoolName,
              enName: globalData[t].levelArray || "",
              url: "/page/resume/resume?op=company&id=" + globalData[t].eduId
            });
          }
        }
      } else if ("item" == keyName) {
        returnData = {
          id: 3,
          name: '项目经历',
          opened: false,
          addUrl: "/page/resume/resume?op=item",
          APIList: []
        };
        if (null != globalData && {} != globalData) {
          for (var t in globalData) {
            returnData.APIList.push({
              zhName: globalData[t].schoolName,
              enName: globalData[t].levelArray || "",
              url: "/page/resume/resume?op=item&id=" + globalData[t].eduId
            });
          }
        }
      }
    }
  } catch (e) {
    console.log('读取key2发生错误');
    console.error(e);
  }

  console.log('----------fanhui-------- ok ----');
  console.log(returnData);
  return returnData;
}



module.exports = {
  getResumeData: getResumeData
}


//var _storage_key = 'resumeData';

// var _data = [{
//   id: 1,
//   name: '基本信息',
//   addUrl: "",
//   APIList: [{
//     key: "userName",
//     zhName: '张三',
//     enName: '姓名',
//     url: "/page/resume/resume?op=base"
//   }, {
//     key: "birthday",
//     zhName: '5岁',
//     enName: '年龄',
//     url: "/page/resume/resume?op=base"
//   }, {
//     key: "jobYears",
//     zhName: '20年以上',
//     enName: '工作经验',
//     url: "/page/resume/resume?op=base"
//   }, {
//     key: "telNum",
//     zhName: '13312341234',
//     enName: '手机号',
//     url: "/page/resume/resume?op=base"
//   }],
//   opened: true
// },

// {
//   id: 6,
//   name: '教育经历',
//   opened: false,
//   addUrl: "/page/resume/resume?op=edu&id=",
//   APIList: [{
//     zhName: '复旦大学',
//     enName: '',
//     url: '../get-network-type/get-network-type'
//   }, {
//     zhName: '清华大学',
//     enName: '',
//     url: '../get-network-type/get-network-type'
//   }

//   ]
// },

// {
//   id: 4,
//   name: '求职岗位',
//   opened: false,
//   APIList: [{
//     zhName: '架构师',
//     enName: '',
//     url: '../get-network-type/get-network-type'
//   }, {
//     zhName: '高级开发',
//     enName: '',
//     url: '../get-system-info/get-system-info'
//   }, {
//     zhName: '初级开发',
//     enName: '',
//     url: '../on-accelerometer-change/on-accelerometer-change'
//   }, {
//     zhName: '中级开发',
//     enName: '',
//     url: '../on-compass-change/on-compass-change'
//   }]
// }, {
//   id: 5,
//   name: '工作经历',
//   opened: false,
//   APIList: [{
//     zhName: '***大中华区总裁',
//     enName: '',
//     url: '../request/request'
//   }, {
//     zhName: 'IBM总监',
//     enName: '',
//     url: '../web-socket/web-socket'
//   }, {
//     zhName: 'Oracle高级工程师',
//     enName: '',
//     url: '../upload-file/upload-file'
//   }, {
//     zhName: 'BAT的算法工程师',
//     enName: '',
//     url: '../download-file/download-file'
//   }]
// }, {
//   id: 7,
//   name: '项目经验',
//   opened: false,
//   url: '../storage/storage'
// }, {
//   id: 8,
//   name: '个人爱好',
//   opened: false,
//   APIList: [{
//     zhName: '打篮球',
//     enName: '',
//     url: '../get-location/get-location'
//   }, {
//     zhName: '弹琴',
//     enName: '',
//     url: '../open-location/open-location'
//   }]
// }
// ];
// {
//   id: 2,
//     name: '求职状态',
//       addUrl: "../get-user-info/get-user-info",
//         APIList: [{
//           zhName: '到企业实习',
//           enName: '',
//           url: '../login/login'
//         }, {
//           zhName: '离职-随时到岗',
//           enName: '',
//           url: '../get-user-info/get-user-info'
//         }, {
//           zhName: '在职-暂不考虑',
//           enName: '',
//           url: '../request-payment/request-payment'
//         }],
//           opened: false
// }, {
//   id: 3,
//     name: '我的优势',
//       opened: true,
//         APIList: [{
//           zhName: '积极乐观向上',
//           enName: '',
//           url: '../set-navigation-bar-title/set-navigation-bar-title'
//         }]
// }, 